// SPDX-License-Identifier: GPL-2.0-or-later
/*
 * Copyright (C) 2021 Verisilicon Inc.
 *
 * This is hdma transmission driver for Linux.
 */

#ifndef __gc_hal_osal_support_h_
#define __gc_hal_osal_support_h_

#define OSAL_KTHREAD_MAX_NUM  128
/* use kthread id and process id do mapping table */
struct osal_pid_mapping {
    gctUINT32 osal_kpid;
    gctUINT32 osal_pid;
    gctUINT32 osal_flag;  /* 0 valid, 1 invalid */
};

gceSTATUS gc_hal_osal_add_mapping(int kpid, int pid);

void gc_hal_osal_remove_single_mapping(int kpid);

void gc_hal_osal_remove_mapping(int pid);

int gc_hal_osal_get_pid(int kpid);

#endif
